package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店采购退货单信息表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkDcthStorereturnorderService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkDcthStorereturnorder(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkDcthStorereturnorderMapper.addSKcCrkDcthStorereturnorder", pd);
    }

    public List<PageData> findSKcCrkDcthStorereturnorderList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkDcthStorereturnorderMapper.selectSKcCrkDcthStorereturnorderList", pd);
    }

    public Integer SKcCrkDcthStorereturnorderRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkDcthStorereturnorderMapper.SKcCrkDcthStorereturnorderRemove", pd);
    }


    public Integer updateSKcCrkDcthStorereturnorder(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkDcthStorereturnorderMapper.updateSKcCrkDcthStorereturnorder", pd);
    }

}
